@import "./lib/styles/main";

.kislov-button--wrapper {
  position: relative;
  display: inline-block;
  padding: 3px;

  button {
    outline: none;
    border: none;
    background: none;
    text-transform: uppercase;
    font-weight: bold;
    transition: all 0.35s ease-in-out;
    cursor: pointer;

    &.kislov-button--regular {
      background: $red-basic;
      color: $white;

      &:hover {
        background: $red-dark;
      }

      &:disabled {
        background: $red-disabled;
      }
    }

    &.kislov-button--outlined {
      background: transparent;
      border: 1px solid $red-basic;
      color: $red-basic;

      &:hover {
        border: 1px solid $red-dark;
        color: $red-dark;
      }

      &:disabled {
        border: 1px solid $red-disabled;
        color: $red-disabled;
      }
    }

    &.kislov-button--text {
      background: transparent;
      border: none;
      color: $red-basic;

      &:hover {
        background: $red-disabled;
        color: $red-dark;
      }

      &:disabled {
        background: transparent;
        color: $red-disabled;
      }
    }

    &.large {
      height: 54px;
      min-width: 150px;
      padding: 0 15px;
      font-size: $font-large-size;
      border-radius: 10px;
    }
    &.medium {
      height: 35px;
      min-width: 100px;
      padding: 0 10px;
      font-size: $font-medium-size;
      border-radius: 5px;
    }
    &.small {
      height: 25px;
      min-width: 65px;
      padding: 0 10px;
      font-size: $font-small-size;
      border-radius: 5px;
    }
    &.icon {
      border-radius: 50%;
      min-width: unset;
      padding: unset;
      display: flex;
      align-items: center;
      justify-content: center;
      &.small {
        height: 25px;
        width: 25px;
      }
    }
  }
}